//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Mon Mar 18 13:32:36 2019
// Version: v12.0 12.500.0.22
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// Ethernet10G_Subsystem
module Ethernet10G_Subsystem(
    // Inputs
    LANE0_RXD_N,
    LANE0_RXD_P,
    PADDR,
    PADDR_IN,
    PENABLE,
    PENABLE_IN,
    PSEL,
    PSEL_IN,
    PWDATA,
    PWDATA_IN,
    PWRITE,
    PWRITE_IN,
    REF_CLK_PAD_N,
    REF_CLK_PAD_P,
    SYS_RX_RESET,
    SYS_TX_RESET,
    // Outputs
    LANE0_RX_READY,
    LANE0_TXD_N,
    LANE0_TXD_P,
    O_CORE_RX_SRESET,
    O_CORE_TX_SRESET,
    O_SYS_MAC_RX_ERR,
    O_SYS_MAC_RX_ERR_FIFO_OVERFLOW,
    O_SYS_MAC_RX_RDY,
    O_SYS_MAC_TX_ERR_FIFO_OVERFLOW,
    O_SYS_MAC_TX_ERR_FIFO_UNDERRUN,
    O_SYS_MAC_TX_FAULT,
    O_SYS_MAC_TX_RDY,
    PF_CCC_1_LOCK,
    PRDATA,
    PRDATA_OUT,
    PREADY,
    PREADY_OUT,
    PRESETN,
    PSLVERR,
    PSLVERR_0,
    Retime_0_Q,
    Retime_1_Q,
    TX_PLL_LOCK,
    clk_100mhz
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input         LANE0_RXD_N;
input         LANE0_RXD_P;
input  [15:0] PADDR;
input  [31:0] PADDR_IN;
input         PENABLE;
input         PENABLE_IN;
input         PSEL;
input         PSEL_IN;
input  [31:0] PWDATA;
input  [31:0] PWDATA_IN;
input         PWRITE;
input         PWRITE_IN;
input         REF_CLK_PAD_N;
input         REF_CLK_PAD_P;
input         SYS_RX_RESET;
input         SYS_TX_RESET;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output        LANE0_RX_READY;
output        LANE0_TXD_N;
output        LANE0_TXD_P;
output        O_CORE_RX_SRESET;
output        O_CORE_TX_SRESET;
output        O_SYS_MAC_RX_ERR;
output        O_SYS_MAC_RX_ERR_FIFO_OVERFLOW;
output        O_SYS_MAC_RX_RDY;
output        O_SYS_MAC_TX_ERR_FIFO_OVERFLOW;
output        O_SYS_MAC_TX_ERR_FIFO_UNDERRUN;
output        O_SYS_MAC_TX_FAULT;
output        O_SYS_MAC_TX_RDY;
output        PF_CCC_1_LOCK;
output [31:0] PRDATA;
output [31:0] PRDATA_OUT;
output        PREADY;
output        PREADY_OUT;
output        PRESETN;
output        PSLVERR;
output        PSLVERR_0;
output        Retime_0_Q;
output        Retime_1_Q;
output        TX_PLL_LOCK;
output        clk_100mhz;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire          AND2_1_Y;
wire   [15:0] PADDR;
wire          PENABLE;
wire   [31:0] APB_0_PRDATA;
wire          APB_0_PREADY;
wire          PSEL;
wire          APB_0_PSLVERR;
wire   [31:0] PWDATA;
wire          PWRITE;
wire   [31:0] PADDR_IN;
wire          PENABLE_IN;
wire   [31:0] APB_1_PRDATA;
wire          APB_1_PREADY;
wire          PSEL_IN;
wire          APB_1_PSLVERR;
wire   [31:0] PWDATA_IN;
wire          PWRITE_IN;
wire          clk_100mhz_net_0;
wire   [31:0] CORE10GMAC_0_O_PMA49_TX_GRBX_DATA_2;
wire   [3:0]  CORE10GMAC_0_O_PMA49_TX_GRBX_HDR;
wire          CORE10GMAC_0_O_PMA49_TX_GRBX_SOS;
wire   [7:0]  CORE10GMAC_0_O_SYS_MAC_RX_BC;
wire   [63:0] CORE10GMAC_0_O_SYS_MAC_RX_DATA;
wire          CORE10GMAC_0_O_SYS_MAC_RX_EN;
wire          CORE10GMAC_0_O_SYS_MAC_RX_EOP;
wire          CORE10GMAC_0_O_SYS_MAC_RX_SOP;
wire   [39:0] CORE10GMAC_0_O_SYS_MAC_RX_STATS_VECTOR;
wire   [39:0] CORE10GMAC_0_O_SYS_MAC_TX_STATS_VECTOR;
wire   [7:0]  interface_fifo_10gmac_0_tx_bc;
wire   [63:0] interface_fifo_10gmac_0_tx_data;
wire          interface_fifo_10gmac_0_tx_en;
wire          interface_fifo_10gmac_0_tx_eop;
wire          interface_fifo_10gmac_0_tx_sop;
wire          LANE0_RX_READY_net_0;
wire          LANE0_RXD_N;
wire          LANE0_RXD_P;
wire          LANE0_TXD_N_net_0;
wire          LANE0_TXD_P_net_0;
wire          O_CORE_RX_SRESET_net_0;
wire          O_CORE_TX_SRESET_net_0;
wire          O_SYS_MAC_RX_ERR_net_0;
wire          O_SYS_MAC_RX_ERR_FIFO_OVERFLOW_net_0;
wire          O_SYS_MAC_RX_RDY_net_0;
wire          O_SYS_MAC_TX_ERR_FIFO_OVERFLOW_net_0;
wire          O_SYS_MAC_TX_ERR_FIFO_UNDERRUN_net_0;
wire          O_SYS_MAC_TX_FAULT_net_0;
wire          O_SYS_MAC_TX_RDY_net_0;
wire          OR2_0_Y;
wire          PF_TX_PLL_0_CLKS_TO_XCVR_BIT_CLK;
wire          PF_TX_PLL_0_CLKS_TO_XCVR_LOCK;
wire          PF_TX_PLL_0_CLKS_TO_XCVR_REF_CLK_TO_LANE;
wire          PF_XCVR_ERM_C0_0_LANE0_RX_BYPASS_DATA;
wire          PF_XCVR_ERM_C0_0_LANE0_RX_CLK_G;
wire   [31:0] PF_XCVR_ERM_C0_0_LANE0_RX_DATA;
wire          PF_XCVR_ERM_C0_0_LANE0_RX_DATA_VAL;
wire   [3:0]  PF_XCVR_ERM_C0_0_LANE0_RX_HDR;
wire          PF_XCVR_ERM_C0_0_LANE0_RX_HDR_VAL;
wire          PF_XCVR_ERM_C0_0_LANE0_RX_SOS;
wire          PF_XCVR_ERM_C0_0_LANE0_STATUS_LOCK;
wire          PF_XCVR_ERM_C0_0_LANE0_TX_CLK_R;
wire          PF_XCVR_ERM_C0_0_LANE0_TX_CLK_STABLE;
wire          PF_XCVR_REF_CLK_0_FAB_REF_CLK;
wire          PRESETN_net_0;
wire          REF_CLK_PAD_N;
wire          REF_CLK_PAD_P;
wire          Retime_0_Q_net_0;
wire          Retime_1_Q_net_0;
wire          SYS_RX_RESET;
wire          SYS_TX_RESET;
wire          TX_PLL_LOCK_net_0;
wire          clk_100mhz_net_1;
wire          PRESETN_net_1;
wire          Retime_1_Q_net_1;
wire          Retime_0_Q_net_1;
wire          LANE0_RX_READY_net_1;
wire          O_SYS_MAC_RX_RDY_net_1;
wire          LANE0_RX_READY_net_2;
wire          O_SYS_MAC_TX_RDY_net_1;
wire          O_CORE_TX_SRESET_net_1;
wire          O_CORE_RX_SRESET_net_1;
wire          TX_PLL_LOCK_net_1;
wire          O_SYS_MAC_TX_FAULT_net_1;
wire          O_SYS_MAC_RX_ERR_FIFO_OVERFLOW_net_1;
wire          O_SYS_MAC_RX_ERR_net_1;
wire          O_SYS_MAC_TX_ERR_FIFO_OVERFLOW_net_1;
wire          O_SYS_MAC_TX_ERR_FIFO_UNDERRUN_net_1;
wire          APB_1_PREADY_net_0;
wire          APB_1_PSLVERR_net_0;
wire   [31:0] APB_1_PRDATA_net_0;
wire   [31:0] APB_0_PRDATA_net_0;
wire          APB_0_PREADY_net_0;
wire          APB_0_PSLVERR_net_0;
wire          LANE0_TXD_P_net_1;
wire          LANE0_TXD_N_net_1;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire          GND_net;
wire          VCC_net;
wire   [57:0] I_CFG_PCS49_TX_TEST_PATTERN_SEED_A_const_net_0;
wire   [57:0] I_CFG_PCS49_TX_TEST_PATTERN_SEED_B_const_net_0;
wire   [15:0] I_CFG_PAUSE_TX_BEAT_TIME_const_net_0;
wire   [15:0] I_CFG_PAUSE_TX_PORT_TIME_const_net_0;
wire   [7:0]  I_CFG_PAUSE_TX_PFC_EN_W_const_net_0;
wire   [127:0]I_CFG_PAUSE_TX_PFC_TIME_W_const_net_0;
wire   [7:0]  I_PAUSE_TX_PFC_XOFF_W_const_net_0;
wire   [7:0]  I_CFG_SYS_PAUSE_RX_PFC_EN_W_const_net_0;
wire   [31:0] I_PMA_RX_RAW_DATA_const_net_0;
wire   [31:0] I_MAC_RX_LPBK_LOCAL_CALL_const_net_0;
wire   [31:0] I_MAC_RX_LPBK_LOCAL_CTRL_W_const_net_0;
wire   [31:0] I_MAC_RX_LPBK_LOCAL_DATA_W_const_net_0;
wire   [95:0] I_PTP_TX_TOD_REF_const_net_0;
wire   [95:0] I_PTP_RX_TOD_REF_const_net_0;
wire   [31:0] I_XGMII_RXD_const_net_0;
wire   [3:0]  I_XGMII_RXC_const_net_0;
wire   [31:0] I_PCS73_DATA_const_net_0;
wire   [10:0] DRI_CTRL_0_const_net_0;
wire   [32:0] DRI_WDATA_0_const_net_0;
wire   [10:0] DRI_CTRL_1_const_net_0;
wire   [32:0] DRI_WDATA_1_const_net_0;
wire   [10:0] DLL_DRI_CTRL_const_net_0;
wire   [32:0] DLL_DRI_WDATA_const_net_0;
wire   [10:0] DRI_CTRL_const_net_0;
wire   [32:0] DRI_WDATA_const_net_0;
//--------------------------------------------------------------------
// Inverted Nets
//--------------------------------------------------------------------
wire          Y_OUT_PRE_INV0_0;
wire          A_IN_POST_INV1_0;
wire          D_IN_POST_INV2_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net                                        = 1'b0;
assign VCC_net                                        = 1'b1;
assign I_CFG_PCS49_TX_TEST_PATTERN_SEED_A_const_net_0 = 58'h000000000000000;
assign I_CFG_PCS49_TX_TEST_PATTERN_SEED_B_const_net_0 = 58'h000000000000000;
assign I_CFG_PAUSE_TX_BEAT_TIME_const_net_0           = 16'h0000;
assign I_CFG_PAUSE_TX_PORT_TIME_const_net_0           = 16'h0000;
assign I_CFG_PAUSE_TX_PFC_EN_W_const_net_0            = 8'h00;
assign I_CFG_PAUSE_TX_PFC_TIME_W_const_net_0          = 128'h00000000000000000000000000000000;
assign I_PAUSE_TX_PFC_XOFF_W_const_net_0              = 8'h00;
assign I_CFG_SYS_PAUSE_RX_PFC_EN_W_const_net_0        = 8'h00;
assign I_PMA_RX_RAW_DATA_const_net_0                  = 32'h00000000;
assign I_MAC_RX_LPBK_LOCAL_CALL_const_net_0           = 32'h00000000;
assign I_MAC_RX_LPBK_LOCAL_CTRL_W_const_net_0         = 32'h00000000;
assign I_MAC_RX_LPBK_LOCAL_DATA_W_const_net_0         = 32'h00000000;
assign I_PTP_TX_TOD_REF_const_net_0                   = 96'h000000000000000000000000;
assign I_PTP_RX_TOD_REF_const_net_0                   = 96'h000000000000000000000000;
assign I_XGMII_RXD_const_net_0                        = 32'h00000000;
assign I_XGMII_RXC_const_net_0                        = 4'h0;
assign I_PCS73_DATA_const_net_0                       = 32'h00000000;
assign DRI_CTRL_0_const_net_0                         = 11'h000;
assign DRI_WDATA_0_const_net_0                        = 33'h000000000;
assign DRI_CTRL_1_const_net_0                         = 11'h000;
assign DRI_WDATA_1_const_net_0                        = 33'h000000000;
assign DLL_DRI_CTRL_const_net_0                       = 11'h000;
assign DLL_DRI_WDATA_const_net_0                      = 33'h000000000;
assign DRI_CTRL_const_net_0                           = 11'h000;
assign DRI_WDATA_const_net_0                          = 33'h000000000;
//--------------------------------------------------------------------
// Inversions
//--------------------------------------------------------------------
assign AND2_1_Y         = ~ Y_OUT_PRE_INV0_0;
assign A_IN_POST_INV1_0 = ~ SYS_RX_RESET;
assign D_IN_POST_INV2_0 = ~ LANE0_RX_READY_net_0;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign clk_100mhz_net_1                     = clk_100mhz_net_0;
assign clk_100mhz                           = clk_100mhz_net_1;
assign PRESETN_net_1                        = PRESETN_net_0;
assign PRESETN                              = PRESETN_net_1;
assign Retime_1_Q_net_1                     = Retime_1_Q_net_0;
assign Retime_1_Q                           = Retime_1_Q_net_1;
assign Retime_0_Q_net_1                     = Retime_0_Q_net_0;
assign Retime_0_Q                           = Retime_0_Q_net_1;
assign LANE0_RX_READY_net_1                 = LANE0_RX_READY_net_0;
assign PF_CCC_1_LOCK                        = LANE0_RX_READY_net_1;
assign O_SYS_MAC_RX_RDY_net_1               = O_SYS_MAC_RX_RDY_net_0;
assign O_SYS_MAC_RX_RDY                     = O_SYS_MAC_RX_RDY_net_1;
assign LANE0_RX_READY_net_2                 = LANE0_RX_READY_net_0;
assign LANE0_RX_READY                       = LANE0_RX_READY_net_2;
assign O_SYS_MAC_TX_RDY_net_1               = O_SYS_MAC_TX_RDY_net_0;
assign O_SYS_MAC_TX_RDY                     = O_SYS_MAC_TX_RDY_net_1;
assign O_CORE_TX_SRESET_net_1               = O_CORE_TX_SRESET_net_0;
assign O_CORE_TX_SRESET                     = O_CORE_TX_SRESET_net_1;
assign O_CORE_RX_SRESET_net_1               = O_CORE_RX_SRESET_net_0;
assign O_CORE_RX_SRESET                     = O_CORE_RX_SRESET_net_1;
assign TX_PLL_LOCK_net_1                    = TX_PLL_LOCK_net_0;
assign TX_PLL_LOCK                          = TX_PLL_LOCK_net_1;
assign O_SYS_MAC_TX_FAULT_net_1             = O_SYS_MAC_TX_FAULT_net_0;
assign O_SYS_MAC_TX_FAULT                   = O_SYS_MAC_TX_FAULT_net_1;
assign O_SYS_MAC_RX_ERR_FIFO_OVERFLOW_net_1 = O_SYS_MAC_RX_ERR_FIFO_OVERFLOW_net_0;
assign O_SYS_MAC_RX_ERR_FIFO_OVERFLOW       = O_SYS_MAC_RX_ERR_FIFO_OVERFLOW_net_1;
assign O_SYS_MAC_RX_ERR_net_1               = O_SYS_MAC_RX_ERR_net_0;
assign O_SYS_MAC_RX_ERR                     = O_SYS_MAC_RX_ERR_net_1;
assign O_SYS_MAC_TX_ERR_FIFO_OVERFLOW_net_1 = O_SYS_MAC_TX_ERR_FIFO_OVERFLOW_net_0;
assign O_SYS_MAC_TX_ERR_FIFO_OVERFLOW       = O_SYS_MAC_TX_ERR_FIFO_OVERFLOW_net_1;
assign O_SYS_MAC_TX_ERR_FIFO_UNDERRUN_net_1 = O_SYS_MAC_TX_ERR_FIFO_UNDERRUN_net_0;
assign O_SYS_MAC_TX_ERR_FIFO_UNDERRUN       = O_SYS_MAC_TX_ERR_FIFO_UNDERRUN_net_1;
assign APB_1_PREADY_net_0                   = APB_1_PREADY;
assign PREADY_OUT                           = APB_1_PREADY_net_0;
assign APB_1_PSLVERR_net_0                  = APB_1_PSLVERR;
assign PSLVERR_0                            = APB_1_PSLVERR_net_0;
assign APB_1_PRDATA_net_0                   = APB_1_PRDATA;
assign PRDATA_OUT[31:0]                     = APB_1_PRDATA_net_0;
assign APB_0_PRDATA_net_0                   = APB_0_PRDATA;
assign PRDATA[31:0]                         = APB_0_PRDATA_net_0;
assign APB_0_PREADY_net_0                   = APB_0_PREADY;
assign PREADY                               = APB_0_PREADY_net_0;
assign APB_0_PSLVERR_net_0                  = APB_0_PSLVERR;
assign PSLVERR                              = APB_0_PSLVERR_net_0;
assign LANE0_TXD_P_net_1                    = LANE0_TXD_P_net_0;
assign LANE0_TXD_P                          = LANE0_TXD_P_net_1;
assign LANE0_TXD_N_net_1                    = LANE0_TXD_N_net_0;
assign LANE0_TXD_N                          = LANE0_TXD_N_net_1;
//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------AND2
AND2 AND2_0(
        // Inputs
        .A ( LANE0_RX_READY_net_0 ),
        .B ( O_SYS_MAC_RX_RDY_net_0 ),
        // Outputs
        .Y (  ) 
        );

//--------AND2
AND2 AND2_1(
        // Inputs
        .A ( SYS_TX_RESET ),
        .B ( Retime_0_Q_net_0 ),
        // Outputs
        .Y ( Y_OUT_PRE_INV0_0 ) 
        );

//--------CORE10GMAC   -   Actel:DirectCore:CORE10GMAC:2.2.101
CORE10GMAC #( 
        .C36_DISABLE                           ( 1 ),
        .CFG_CPU_ASYNC_TO_CNT                  ( 80 ),
        .CFG_CPU_ASYNC_TO_EN                   ( 0 ),
        .CFG_MAC_RX_CHECK_LT                   ( 0 ),
        .CFG_MAC_RX_FIFO_DEPTH                 ( 128 ),
        .CFG_MAC_RX_LPBK_LOCAL_EN              ( 0 ),
        .CFG_MAC_RX_PREAMBLE                   ( 0 ),
        .CFG_MAC_TX_CHECK_LT                   ( 0 ),
        .CFG_MAC_TX_FIFO_DEPTH                 ( 128 ),
        .CFG_MAC_TX_IFG_CNT                    ( 12 ),
        .CFG_MAC_TX_LPBK_LOCAL_EN              ( 0 ),
        .CFG_MAC_TX_PREAMBLE                   ( 0 ),
        .CFG_PAUSE_RX_CHECK_PMC                ( 1 ),
        .CFG_PAUSE_RX_CHECK_PUC                ( 0 ),
        .CFG_PAUSE_RX_EN                       ( 0 ),
        .CFG_PAUSE_TX_EN                       ( 0 ),
        .CFG_PAUSE_TX_TIMER                    ( 0 ),
        .CFG_PCS73_RX_GRBX_EN                  ( 1 ),
        .CFG_SYS_MAC_RX_GFC                    ( 0 ),
        .CWC                                   ( 1 ),
        .FAMILY                                ( 26 ),
        .PCS73_LPBK_SIM                        ( 0 ),
        .PTP_DISABLE                           ( 1 ),
        .RX_MAC_STATS_PKT_BROADCAST_CNT_EN     ( 0 ),
        .RX_MAC_STATS_PKT_CONTROL_CNT_EN       ( 0 ),
        .RX_MAC_STATS_PKT_ERR_CNT_EN           ( 0 ),
        .RX_MAC_STATS_PKT_ERR_FCS_CNT_EN       ( 0 ),
        .RX_MAC_STATS_PKT_ERR_FRM_CNT_EN       ( 0 ),
        .RX_MAC_STATS_PKT_ERR_LEN_CHECK_CNT_EN ( 0 ),
        .RX_MAC_STATS_PKT_ERR_LEN_LONG_CNT_EN  ( 0 ),
        .RX_MAC_STATS_PKT_ERR_LEN_SHORT_CNT_EN ( 0 ),
        .RX_MAC_STATS_PKT_MULTICASE_CNT_EN     ( 0 ),
        .RX_MAC_STATS_PKT_OK_CNT_EN            ( 0 ),
        .RX_MAC_STATS_PKT_PAD_CNT_EN           ( 0 ),
        .RX_MAC_STATS_PKT_PAUSE_CNT_EN         ( 0 ),
        .RX_MAC_STATS_PKT_VLAN_CNT_EN          ( 0 ),
        .SWC                                   ( 2 ),
        .TX_MAC_STATS_PKT_BROADCAST_CNT_EN     ( 0 ),
        .TX_MAC_STATS_PKT_CONTROL_CNT_EN       ( 0 ),
        .TX_MAC_STATS_PKT_ERR_CNT_EN           ( 0 ),
        .TX_MAC_STATS_PKT_ERR_FCS_CNT_EN       ( 0 ),
        .TX_MAC_STATS_PKT_ERR_FRM_CNT_EN       ( 0 ),
        .TX_MAC_STATS_PKT_ERR_LEN_CHECK_CNT_EN ( 0 ),
        .TX_MAC_STATS_PKT_ERR_LEN_LONG_CNT_EN  ( 0 ),
        .TX_MAC_STATS_PKT_ERR_LEN_SHORT_CNT_EN ( 0 ),
        .TX_MAC_STATS_PKT_MULTICASE_CNT_EN     ( 0 ),
        .TX_MAC_STATS_PKT_OK_CNT_EN            ( 0 ),
        .TX_MAC_STATS_PKT_PAD_CNT_EN           ( 0 ),
        .TX_MAC_STATS_PKT_PAUSE_CNT_EN         ( 0 ),
        .TX_MAC_STATS_PKT_VLAN_CNT_EN          ( 0 ),
        .TYPE_10G                              ( 0 ) )
CORE10GMAC_0(
        // Inputs
        .I_SYS_CLK                            ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        .I_SYS_TX_SRESET                      ( AND2_1_Y ),
        .I_SYS_RX_SRESET                      ( OR2_0_Y ),
        .I_CORE_TX_CLK                        ( PF_XCVR_ERM_C0_0_LANE0_TX_CLK_R ),
        .I_CORE_RX_CLK                        ( PF_XCVR_ERM_C0_0_LANE0_RX_CLK_G ),
        .I_SYS_MAC_TX_EN                      ( interface_fifo_10gmac_0_tx_en ),
        .I_SYS_MAC_TX_SOP                     ( interface_fifo_10gmac_0_tx_sop ),
        .I_SYS_MAC_TX_EOP                     ( interface_fifo_10gmac_0_tx_eop ),
        .I_SYS_MAC_TX_BC                      ( interface_fifo_10gmac_0_tx_bc ),
        .I_SYS_MAC_TX_DATA                    ( interface_fifo_10gmac_0_tx_data ),
        .I_CFG_PAUSE_TX_SEND_STRB             ( GND_net ), // tied to 1'b0 from definition
        .I_CFG_PAUSE_TX_BEAT_EN               ( GND_net ), // tied to 1'b0 from definition
        .I_CFG_PAUSE_TX_BEAT_TIME             ( I_CFG_PAUSE_TX_BEAT_TIME_const_net_0 ), // tied to 16'h0000 from definition
        .I_CFG_PAUSE_TX_PORT_EN               ( GND_net ), // tied to 1'b0 from definition
        .I_CFG_PAUSE_TX_PORT_TIME             ( I_CFG_PAUSE_TX_PORT_TIME_const_net_0 ), // tied to 16'h0000 from definition
        .I_CFG_PAUSE_TX_PFC_EN_W              ( I_CFG_PAUSE_TX_PFC_EN_W_const_net_0 ), // tied to 8'h00 from definition
        .I_CFG_PAUSE_TX_PFC_TIME_W            ( I_CFG_PAUSE_TX_PFC_TIME_W_const_net_0 ), // tied to 128'h00000000000000000000000000000000 from definition
        .I_PAUSE_TX_PORT_XOFF                 ( GND_net ), // tied to 1'b0 from definition
        .I_PAUSE_TX_PFC_XOFF_W                ( I_PAUSE_TX_PFC_XOFF_W_const_net_0 ), // tied to 8'h00 from definition
        .I_PAUSE_TX_PORT_REQ                  ( GND_net ), // tied to 1'b0 from definition
        .I_SYS_PAUSE_RX_SRESET                ( VCC_net ), // tied to 1'b1 from definition
        .I_CFG_SYS_PAUSE_RX_PORT_EN           ( GND_net ), // tied to 1'b0 from definition
        .I_CFG_SYS_PAUSE_RX_PFC_EN_W          ( I_CFG_SYS_PAUSE_RX_PFC_EN_W_const_net_0 ), // tied to 8'h00 from definition
        .I_CFG_RS_TX_FAULT_EN                 ( GND_net ),
        .I_CFG_RS_TX_FAULT_LOCAL              ( GND_net ),
        .I_CFG_RS_TX_FAULT_REMOTE             ( GND_net ),
        .I_CFG_RS_TX_IDLE                     ( GND_net ),
        .I_RS_RX_SRESET                       ( OR2_0_Y ),
        .I_PCS49_TX_SRESET                    ( AND2_1_Y ),
        .I_CFG_PCS49_TX_BYPASS_SCRAMBLER      ( VCC_net ),
        .I_CFG_PCS49_TX_TEST_PRBS31_EN        ( GND_net ),
        .I_CFG_PCS49_TX_TEST_PATTERN_EN       ( GND_net ),
        .I_CFG_PCS49_TX_TEST_PATTERN_TYPE_SEL ( GND_net ),
        .I_CFG_PCS49_TX_TEST_PATTERN_DATA_SEL ( GND_net ),
        .I_CFG_PCS49_TX_TEST_PATTERN_SEED_A   ( I_CFG_PCS49_TX_TEST_PATTERN_SEED_A_const_net_0 ),
        .I_CFG_PCS49_TX_TEST_PATTERN_SEED_B   ( I_CFG_PCS49_TX_TEST_PATTERN_SEED_B_const_net_0 ),
        .I_PCS49_RX_SRESET                    ( OR2_0_Y ),
        .I_CFG_PCS49_RX_BYPASS_SCRAMBLER      ( VCC_net ),
        .I_CFG_PCS49_RX_TEST_PRBS31_EN        ( GND_net ),
        .I_CFG_PCS49_RX_TEST_PATTERN_EN       ( GND_net ),
        .I_CFG_PCS49_RX_TEST_PATTERN_TYPE_SEL ( GND_net ),
        .I_CFG_PCS49_RX_TEST_PATTERN_DATA_SEL ( GND_net ),
        .I_PMA_RX_RAW_RDY                     ( GND_net ), // tied to 1'b0 from definition
        .I_PMA_RX_RAW_DATA                    ( I_PMA_RX_RAW_DATA_const_net_0 ), // tied to 32'h00000000 from definition
        .PCLK                                 ( clk_100mhz_net_0 ),
        .PRESETN                              ( PRESETN_net_0 ),
        .PWRITE                               ( PWRITE ),
        .PADDR                                ( PADDR ),
        .PSEL                                 ( PSEL ),
        .PENABLE                              ( PENABLE ),
        .PWDATA                               ( PWDATA ),
        .I_PMA_RX_RAW_EN                      ( GND_net ), // tied to 1'b0 from definition
        .I_PMA49_RX_GRBX_LOCK                 ( PF_XCVR_ERM_C0_0_LANE0_STATUS_LOCK ),
        .I_PMA49_RX_GRBX_SOS                  ( PF_XCVR_ERM_C0_0_LANE0_RX_SOS ),
        .I_PMA49_RX_GRBX_HDR_EN               ( PF_XCVR_ERM_C0_0_LANE0_RX_HDR_VAL ),
        .I_PMA49_RX_GRBX_HDR                  ( PF_XCVR_ERM_C0_0_LANE0_RX_HDR ),
        .I_PMA49_RX_GRBX_DATA_EN              ( PF_XCVR_ERM_C0_0_LANE0_RX_DATA_VAL ),
        .I_PMA49_RX_GRBX_DATA                 ( PF_XCVR_ERM_C0_0_LANE0_RX_DATA ),
        .I_MAC_RX_LPBK_LOCAL_CLK              ( GND_net ), // tied to 1'b0 from definition
        .I_MAC_RX_LPBK_LOCAL_CALL             ( I_MAC_RX_LPBK_LOCAL_CALL_const_net_0 ), // tied to 32'h00000000 from definition
        .I_MAC_RX_LPBK_LOCAL_CTRL_W           ( I_MAC_RX_LPBK_LOCAL_CTRL_W_const_net_0 ), // tied to 32'h00000000 from definition
        .I_MAC_RX_LPBK_LOCAL_DATA_W           ( I_MAC_RX_LPBK_LOCAL_DATA_W_const_net_0 ), // tied to 32'h00000000 from definition
        .I_SYS_MAC_RX_GFC                     ( GND_net ), // tied to 1'b0 from definition
        .I_PTP_TX_TOD_REF                     ( I_PTP_TX_TOD_REF_const_net_0 ), // tied to 96'h000000000000000000000000 from definition
        .I_SYS_PTP_TX_1STEP_TIMESTAMP_EN      ( GND_net ), // tied to 1'b0 from definition
        .I_PTP_RX_TOD_REF                     ( I_PTP_RX_TOD_REF_const_net_0 ), // tied to 96'h000000000000000000000000 from definition
        .I_PCS36_TX_SRESET                    ( VCC_net ), // tied to 1'b1 from definition
        .I_PCS36_RX_SRESET                    ( VCC_net ), // tied to 1'b1 from definition
        .I_XGMII_RXD                          ( I_XGMII_RXD_const_net_0 ), // tied to 32'h00000000 from definition
        .I_XGMII_RXC                          ( I_XGMII_RXC_const_net_0 ), // tied to 4'h0 from definition
        .I_PCS73_VAL                          ( GND_net ), // tied to 1'b0 from definition
        .I_PCS73_RX_CLK                       ( GND_net ), // tied to 1'b0 from definition
        .I_PCS73_DATA                         ( I_PCS73_DATA_const_net_0 ), // tied to 32'h00000000 from definition
        .I_PCS73_TX_CLK                       ( GND_net ), // tied to 1'b0 from definition
        .I_PCS73_RX_GRBX_EN_T                 ( GND_net ), // tied to 1'b0 from definition
        .I_PCS73_RX_GRBX_DATA_W_T             ( GND_net ), // tied to 1'b0 from definition
        // Outputs
        .O_CORE_TX_SRESET                     ( O_CORE_TX_SRESET_net_0 ),
        .O_CORE_RX_SRESET                     ( O_CORE_RX_SRESET_net_0 ),
        .O_SYS_MAC_TX_RDY                     ( O_SYS_MAC_TX_RDY_net_0 ),
        .O_SYS_MAC_TX_FAULT                   ( O_SYS_MAC_TX_FAULT_net_0 ),
        .O_SYS_MAC_TX_FIFO_AF                 (  ),
        .O_SYS_MAC_TX_ERR_BUS_PROTOCOL        (  ),
        .O_SYS_MAC_TX_ERR_FIFO_OVERFLOW       ( O_SYS_MAC_TX_ERR_FIFO_OVERFLOW_net_0 ),
        .O_SYS_MAC_TX_ERR_FIFO_UNDERRUN       ( O_SYS_MAC_TX_ERR_FIFO_UNDERRUN_net_0 ),
        .O_SYS_MAC_TX_STATS_VECTOR            ( CORE10GMAC_0_O_SYS_MAC_TX_STATS_VECTOR ),
        .O_SYS_MAC_RX_RDY                     ( O_SYS_MAC_RX_RDY_net_0 ),
        .O_SYS_MAC_RX_EN                      ( CORE10GMAC_0_O_SYS_MAC_RX_EN ),
        .O_SYS_MAC_RX_SOP                     ( CORE10GMAC_0_O_SYS_MAC_RX_SOP ),
        .O_SYS_MAC_RX_EOP                     ( CORE10GMAC_0_O_SYS_MAC_RX_EOP ),
        .O_SYS_MAC_RX_ERR                     ( O_SYS_MAC_RX_ERR_net_0 ),
        .O_SYS_MAC_RX_ERR_W                   (  ),
        .O_SYS_MAC_RX_BC                      ( CORE10GMAC_0_O_SYS_MAC_RX_BC ),
        .O_SYS_MAC_RX_DATA                    ( CORE10GMAC_0_O_SYS_MAC_RX_DATA ),
        .O_SYS_MAC_RX_ERR_FIFO_OVERFLOW       ( O_SYS_MAC_RX_ERR_FIFO_OVERFLOW_net_0 ),
        .O_SYS_MAC_RX_STATS_VECTOR            ( CORE10GMAC_0_O_SYS_MAC_RX_STATS_VECTOR ),
        .O_PAUSE_TX_PORT_ON                   (  ),
        .O_SYS_PAUSE_RX_PORT_XOFF             (  ),
        .O_SYS_PAUSE_RX_PFC_XOFF_W            (  ),
        .O_RS_RX_FAULT_LOCAL                  (  ),
        .O_RS_RX_FAULT_REMOTE                 (  ),
        .O_PCS49_RX_BLOCK_LOCK                (  ),
        .O_PCS49_RX_HI_BER                    (  ),
        .O_PCS49_RX_STATUS                    (  ),
        .O_PCS49_RX_BER_STRB                  (  ),
        .O_PCS49_RX_BER_CNT                   (  ),
        .O_PCS49_RX_TEST_MODE_ERR_STRB        (  ),
        .O_PCS49_RX_TEST_MODE_ERR_CNT         (  ),
        .O_PCS49_RX_ERRORED_BLOCK_CNT_STRB    (  ),
        .O_PMA_TX_RAW_DATA                    (  ),
        .PRDATA                               ( APB_0_PRDATA ),
        .PREADY                               ( APB_0_PREADY ),
        .PSLVERR                              ( APB_0_PSLVERR ),
        .O_PMA49_TX_GRBX_SOS                  ( CORE10GMAC_0_O_PMA49_TX_GRBX_SOS ),
        .O_PMA49_TX_GRBX_HDR_EN               (  ),
        .O_PMA49_TX_GRBX_HDR                  ( CORE10GMAC_0_O_PMA49_TX_GRBX_HDR ),
        .O_PMA49_TX_GRBX_DATA_EN              (  ),
        .O_PMA49_TX_GRBX_DATA                 ( CORE10GMAC_0_O_PMA49_TX_GRBX_DATA_2 ),
        .O_SYS_MAC_RX_PREAMBLE                (  ),
        .O_MAC_TX_LPBK_LOCAL_CLK              (  ),
        .O_MAC_TX_LPBK_LOCAL_CALL             (  ),
        .O_MAC_TX_LPBK_LOCAL_CTRL_W           (  ),
        .O_MAC_TX_LPBK_LOCAL_DATA_W           (  ),
        .O_SYS_PTP_RX_EN                      (  ),
        .O_PCS36_RX_STATUS                    (  ),
        .O_PCS36_RX_ERR_NOTINTABLE            (  ),
        .O_PCS36_RX_ERR_DISPERR               (  ),
        .O_PMA_RX_RAW_BIT_SLIP                (  ),
        .O_XGMII_TXD                          (  ),
        .O_XGMII_TXC                          (  ) 
        );

//--------interface_fifo_10gmac
interface_fifo_10gmac interface_fifo_10gmac_0(
        // Inputs
        .PCLK     ( clk_100mhz_net_0 ),
        .PRESETn  ( PRESETN_net_0 ),
        .PSEL     ( PSEL_IN ),
        .PENABLE  ( PENABLE_IN ),
        .PWRITE   ( PWRITE_IN ),
        .SYSCLK   ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        .rx_en    ( CORE10GMAC_0_O_SYS_MAC_RX_EN ),
        .rx_sop   ( CORE10GMAC_0_O_SYS_MAC_RX_SOP ),
        .rx_eop   ( CORE10GMAC_0_O_SYS_MAC_RX_EOP ),
        .rx_err   ( O_SYS_MAC_RX_ERR_net_0 ),
        .PADDR    ( PADDR_IN ),
        .PWDATA   ( PWDATA_IN ),
        .tx_stats ( CORE10GMAC_0_O_SYS_MAC_TX_STATS_VECTOR ),
        .rx_data  ( CORE10GMAC_0_O_SYS_MAC_RX_DATA ),
        .rx_bc    ( CORE10GMAC_0_O_SYS_MAC_RX_BC ),
        .rx_stats ( CORE10GMAC_0_O_SYS_MAC_RX_STATS_VECTOR ),
        // Outputs
        .PREADY   ( APB_1_PREADY ),
        .PSLVERR  ( APB_1_PSLVERR ),
        .tx_en    ( interface_fifo_10gmac_0_tx_en ),
        .tx_sop   ( interface_fifo_10gmac_0_tx_sop ),
        .tx_eop   ( interface_fifo_10gmac_0_tx_eop ),
        .PRDATA   ( APB_1_PRDATA ),
        .tx_data  ( interface_fifo_10gmac_0_tx_data ),
        .tx_bc    ( interface_fifo_10gmac_0_tx_bc ) 
        );

//--------OR2
OR2 OR2_0(
        // Inputs
        .A ( A_IN_POST_INV1_0 ),
        .B ( Retime_1_Q_net_0 ),
        // Outputs
        .Y ( OR2_0_Y ) 
        );

//--------Ethernet10G_Subsystem_PF_CCC_0_PF_CCC   -   Actel:SgCore:PF_CCC:1.0.115
Ethernet10G_Subsystem_PF_CCC_0_PF_CCC PF_CCC_0(
        // Inputs
        .REF_CLK_0     ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        // Outputs
        .OUT0_FABCLK_0 ( clk_100mhz_net_0 ),
        .PLL_LOCK_0    ( PRESETN_net_0 ) 
        );

//--------Ethernet10G_Subsystem_PF_TX_PLL_0_PF_TX_PLL   -   Actel:SgCore:PF_TX_PLL:2.0.002
Ethernet10G_Subsystem_PF_TX_PLL_0_PF_TX_PLL PF_TX_PLL_0(
        // Inputs
        .FAB_REF_CLK     ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        // Outputs
        .LOCK            ( PF_TX_PLL_0_CLKS_TO_XCVR_LOCK ),
        .BIT_CLK         ( PF_TX_PLL_0_CLKS_TO_XCVR_BIT_CLK ),
        .REF_CLK_TO_LANE ( PF_TX_PLL_0_CLKS_TO_XCVR_REF_CLK_TO_LANE ),
        .PLL_LOCK        ( TX_PLL_LOCK_net_0 ) 
        );

//--------PF_XCVR_ERM_C0
PF_XCVR_ERM_C0 PF_XCVR_ERM_C0_0(
        // Inputs
        .LANE0_RXD_P           ( LANE0_RXD_P ),
        .LANE0_RXD_N           ( LANE0_RXD_N ),
        .LANE0_TX_DATA         ( CORE10GMAC_0_O_PMA49_TX_GRBX_DATA_2 ),
        .LANE0_CDR_REF_CLK_FAB ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        .LANE0_PCS_ARST_N      ( O_CORE_TX_SRESET_net_0 ),
        .LANE0_PMA_ARST_N      ( VCC_net ),
        .LANE0_TX_SOS          ( CORE10GMAC_0_O_PMA49_TX_GRBX_SOS ),
        .LANE0_TX_HDR          ( CORE10GMAC_0_O_PMA49_TX_GRBX_HDR ),
        .LANE0_TX_BYPASS_DATA  ( PF_XCVR_ERM_C0_0_LANE0_RX_BYPASS_DATA ),
        .TX_PLL_LOCK_0         ( PF_TX_PLL_0_CLKS_TO_XCVR_LOCK ),
        .TX_BIT_CLK_0          ( PF_TX_PLL_0_CLKS_TO_XCVR_BIT_CLK ),
        .TX_PLL_REF_CLK_0      ( PF_TX_PLL_0_CLKS_TO_XCVR_REF_CLK_TO_LANE ),
        // Outputs
        .LANE0_TXD_P           ( LANE0_TXD_P_net_0 ),
        .LANE0_TXD_N           ( LANE0_TXD_N_net_0 ),
        .LANE0_RX_DATA         ( PF_XCVR_ERM_C0_0_LANE0_RX_DATA ),
        .LANE0_RX_CLK_G        ( PF_XCVR_ERM_C0_0_LANE0_RX_CLK_G ),
        .LANE0_TX_CLK_R        ( PF_XCVR_ERM_C0_0_LANE0_TX_CLK_R ),
        .LANE0_RX_IDLE         (  ),
        .LANE0_RX_READY        ( LANE0_RX_READY_net_0 ),
        .LANE0_RX_VAL          (  ),
        .LANE0_TX_CLK_STABLE   ( PF_XCVR_ERM_C0_0_LANE0_TX_CLK_STABLE ),
        .LANE0_RX_HDR_VAL      ( PF_XCVR_ERM_C0_0_LANE0_RX_HDR_VAL ),
        .LANE0_RX_SOS          ( PF_XCVR_ERM_C0_0_LANE0_RX_SOS ),
        .LANE0_RX_DATA_VAL     ( PF_XCVR_ERM_C0_0_LANE0_RX_DATA_VAL ),
        .LANE0_RX_HDR          ( PF_XCVR_ERM_C0_0_LANE0_RX_HDR ),
        .LANE0_RX_BYPASS_DATA  ( PF_XCVR_ERM_C0_0_LANE0_RX_BYPASS_DATA ),
        .LANE0_STATUS_LOCK     ( PF_XCVR_ERM_C0_0_LANE0_STATUS_LOCK ),
        .LANE0_STATUS_HI_BER   (  ) 
        );

//--------Ethernet10G_Subsystem_PF_XCVR_REF_CLK_0_PF_XCVR_REF_CLK   -   Actel:SgCore:PF_XCVR_REF_CLK:1.0.103
Ethernet10G_Subsystem_PF_XCVR_REF_CLK_0_PF_XCVR_REF_CLK PF_XCVR_REF_CLK_0(
        // Inputs
        .REF_CLK_PAD_P ( REF_CLK_PAD_P ),
        .REF_CLK_PAD_N ( REF_CLK_PAD_N ),
        // Outputs
        .REF_CLK       (  ),
        .FAB_REF_CLK   ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ) 
        );

//--------Retime_1_Bit
Retime_1_Bit Retime_1_Bit_0(
        // Inputs
        .CLK ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        .D   ( PF_XCVR_ERM_C0_0_LANE0_TX_CLK_STABLE ),
        // Outputs
        .Q   ( Retime_0_Q_net_0 ) 
        );

//--------Retime_1_Bit
Retime_1_Bit Retime_1_Bit_1(
        // Inputs
        .CLK ( PF_XCVR_REF_CLK_0_FAB_REF_CLK ),
        .D   ( D_IN_POST_INV2_0 ),
        // Outputs
        .Q   ( Retime_1_Q_net_0 ) 
        );


endmodule
